Overview | Package | Class | Tree | Deprecated | Index | Help
| bea Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## theory.smart.ebusiness.giftregistry
Class GiftRegistryValue

    java.lang.Object
      |
      +--theory.smart.foundation.SmartValue
            |
            +--theory.smart.ebusiness.order.OrderValue
                  |
                  +--theory.smart.ebusiness.giftregistry.GiftRegistryValue

public class GiftRegistryValue
extends OrderValue

A gift registry is a list of things that a customer would like to have purchased on their behalf. Items are removed from the Registries OrderLines and added to the collection of PurchasedOrderLines.

See Also:
  `GiftRegistry`, `GiftRegistryHome`, `GiftRegistry.getGiftRegistryByValue()`, `GiftRegistry.setGiftRegistryByValue(GiftRegistryValue)`, Serialized Form

Field Summary
`com.sun.java.util.collections.TreeMap` | `emails` email (Map) [GiftRegistry] <*>------> [`theory.smart.axiom.contact.Email`] 0..*
`SmartHandle` | `owner` owner [GiftRegistry] <>------> [`theory.smart.ebusiness.customer.Customer`]
`java.lang.String` | `password` password [GiftRegistry] <*>------> [`String`]
`com.sun.java.util.collections.LinkedList` | `purchasedOrderLines` purchasedOrderLine (List) [GiftRegistry] <*>------> [`theory.smart.ebusiness.giftregistry.PurchasedOrderLine`] 0..*

Fields inherited from class theory.smart.ebusiness.order.OrderValue
`customer, key, orderLines, status`

Constructor Summary
`protected` | `GiftRegistryValue()` Only get/setGiftRegistryByValue methods are allowed to call this constructor.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### password

    public java.lang.String password

                        password
       [GiftRegistry] <*>------> [String]

### purchasedOrderLines

    public com.sun.java.util.collections.LinkedList purchasedOrderLines

                        purchasedOrderLine (List)
       [GiftRegistry] <*>------> [theory.smart.ebusiness.giftregistry.PurchasedOrderLine]
                           0..*

### owner

    public SmartHandle owner

                        owner
       [GiftRegistry] <>------> [theory.smart.ebusiness.customer.Customer]

### emails

    public com.sun.java.util.collections.TreeMap emails

                        email (Map)
       [GiftRegistry] <*>------> [theory.smart.axiom.contact.Email]
                           0..*

Constructor Detail

### GiftRegistryValue

    protected GiftRegistryValue()

  Only get/setGiftRegistryByValue methods are allowed to call this constructor.

Overview | Package | Class | Tree | Deprecated | Index | Help
| bea Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© Copyright 2000 bea Systems, Inc. All rights reserved.